@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    box-sizing: border-box;
}

.preview-containers {
    width: 2560px;
    height: fit-content;
    background-color: #161616;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    overflow: hidden;
    box-sizing: border-box;
    color: #fff;
    padding: 1rem;
    min-height: 1440px;
    font-family: 'Poppins', sans-serif;
}

.preview-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("./images/bg_preview.png");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    z-index: 0;
}

.preview-header {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 0 1rem;
    align-items: center;
    width: 100%;
    height: fit-content;
    z-index: 1;
    box-sizing: border-box;
}

.preview-header > p {
    font-size: 1.5rem;
}

.preview-description {
    padding: 1rem;
}

.preview-description > p {
    margin: 0;
    padding: 0;
    font-size: 1.1rem;
}

.modules-container {
    width: 100%;
    height: fit-content;
    padding: 1rem;
}

.modules-title-text {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
    font-weight: bold;
}

.modules-title-text > h2 {
    margin: 0;
    padding: 0;
    font-weight: bold;
}

.fa-icon-parent {
    position: relative;
    width: 3rem;
    height: 3rem;
    background-color: rgb(0, 221, 255,0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: calc(4px + 0.5rem);
    border: 1px solid rgb(0, 221, 255);
    color: rgb(0, 221, 255);
    text-shadow: 0 0 30px rgb(0, 221, 255);
    font-size: 1.5rem;
}

.fa-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modules-title {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.modules-title-line {
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, #656565, transparent);
}

.modules-title > h2 {
    margin: 0;
    padding: 1rem 0.5rem;
    font-size: 800;
}

.modules-list {
    display: flex;
    gap: 0.5rem;
    width: 100%;
    height: fit-content;
    
}

.modules-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 1.5rem;
    height: fit-content;
    flex: 1;
    background-color: #12121250;
    border: 1px solid #3b3b3b;
    padding: 0.5rem;
    border-radius: calc(4px + 0.5rem);
}

.modules-block-title {
    width: 100%;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    background-color: blue;
    border: 1px solid #ffffff;
    border-radius: 4px;
    color: #fff !important;
    font-size: 1rem;
}

.modules-block-title > h2 {
    margin: 0;
    padding: 0.5rem;
    border-radius: 6px;
    font-size: 1.2rem;
    font-weight: 600;
}

.modules-block-title > i {
    margin: 0;
    padding: 0;
}

.modules-block-line {
    width: 100%;
    height: 2px;
    margin: 0.5rem 0;
    background: linear-gradient(to right, transparent, #3b3b3b 50%, transparent);
    
}

.modules-block-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    width: 100%;
    height: fit-content;
    text-align: justify;
    /* text-align-last: center; */
}

.modules-block-content-item {
    font-size: 1.2rem;
    font-weight: 400;
    color: #fff;
    text-align: justify;
    /* text-align-last: center; */
    padding: 0.25rem 1rem;
    width: 100%;
}

.modules-color-add {
    background-color: rgb(25, 177, 78,0.1);
    border: 1px solid rgb(25, 177, 78,1);
}

.modules-color-mod {
    background-color: rgba(0, 183, 255, 0.1);
    border: 1px solid rgb(0, 183, 255);
}

.modules-color-fix {
    background-color: rgb(255, 157, 0,0.1);
    border: 1px solid rgb(255, 157, 0,1);
}

.modules-color-del {
    background-color: rgb(177, 25, 43,0.1);
    border: 1px solid rgb(177, 25, 43,1);
}

.bg-mod {
    background-color: rgb(0, 183, 255);
    color: #fff;
}